.container-promo{
    width: 80%;
    margin: auto;
}

.wrapper {
    display:table;
    padding: 10px;
    &.loaded {
        transition:2.5s ease-in-out;
    }
}

.card-deck {
    justify-content: center;
}

.card {
    height:28rem;
    width:17rem;
    margin:0 auto;
    z-index:1;
    box-shadow:0 0 10px rgba(0,0,0,.2);
    .front {
        height:250px;
        width:100%;
        overflow:hidden;
        z-index:1;

        .top-pic {
            height:250px;
            width:100%;
            background-image:url(https://cdn.pixabay.com/photo/2014/12/29/17/39/code-583073__340.jpg);
            background-size:cover;
        }

        .surDivAv {
            width:114px;
            height:114px;
            top:35%;
            left:50%;
            margin:-77px 0 0 -57px;
            position:absolute;
            z-index: 100;

            .divAvatar {
                overflow: hidden;
                width:114px;
                height:114px;
                top:50%;
                left:50%;
                margin:-57px 0 0 -57px;
                position:absolute;
                z-index:99;
                border-radius:100%;
                box-shadow:0 0 0 3px rgba(255,255,255,.8),0 4px 5px white,0 0 50px 50px rgba(255,255,255,.25);

                .avatar {
                    z-index: 99;
                    height: 100%;
                    width: 100%;
                    background-size:contain;
                    transition: all .5s;

                    &:hover{
                        transform: scale(1.1);
                    }
                }
            }

            &:after {
                pointer-events: none;
                position: absolute;
                width: 100%;
                height: 100%;
                border-radius: 50%;
                content:'';
                -webkit-box-sizing: content-box;
                -moz-box-sizing: content-box;
                box-sizing: content-box;
                top: -7px;
                left: -7px;
                padding: 7px;
                box-shadow: 0 0 0 4px whitesmoke;
                -webkit-transition: -webkit-transform 0.2s, opacity 0.2s;
                -webkit-transform: scale(.8);
                -moz-transition: -moz-transform 0.2s, opacity 0.2s;
                -moz-transform: scale(.8);
                -ms-transform: scale(.8);
                transition: transform 0.2s, opacity 0.2s;
                transform: scale(.8);
                opacity: 0;
            }
            &:before {
                font-size: 48px;
                line-height: 90px;
                font-style: normal;
                font-weight: normal;
                font-variant: normal;
                text-transform: none;
                display: block;
                -webkit-font-smoothing: antialiased;
            }

            &:hover:after {
                -webkit-transform: scale(1);
                -moz-transform: scale(1);
                -ms-transform: scale(1);
                transform: scale(1);
                opacity: 1;

            }

        }

        .info-box {
            height:70%;
            width:100%;
            position:absolute;
            display:table;
            left:0;
            bottom:0;
            background: white;
            padding:20px;

            .info {
                .student-name {
                    font-size:20px;
                    line-height:30px;
                    margin-bottom:10px;
                    font-weight: bold;
                }
                .divPromoName {
                    max-height: 60px;
                    overflow: hidden;
                }
                .promo-name {
                    font-size:18px;
                    display: inline;
                }
                .promo-label {
                    color:$col_pink;
                    font-weight: bolder;
                }

            }
        }
        .social-bar {
            height:70px;
            width:100%;
            position:absolute;
            bottom:0;
            left:0;
            line-height:50px;
            font-size:18px;
            text-align:center;
            a {
                border: 1px solid $col_pink;
                display:inline-block;
                color:$col_pink;
                text-decoration:none;
                padding:8px;
                line-height:18px;
                border-radius:5px;
                width: 120px;
                &:hover {
                    border: 1px solid rgba(var(--c),0.6);
                    color:white;
                    background:rgba(var(--c),0.7);
                    transition:.25s ease-in-out;
                    .arrow {
                        color: white;
                        transition:.25s ease-in-out;
                    }
                }
            }
            .arrow {
                color: $col_pink;
                animation: arrowWiggle 1s ease-in-out infinite;
            }
        }
    }

    .info {
        display:table-cell;
        height:100%;
        vertical-align:middle;
        text-align:center;
    }

    &:hover {
        box-shadow: 1px 1px 10px #666;
    }
}


@keyframes arrowWiggle {
    0% {
        transform: translate3d(4px, 0, 0);
    }

    40% {
        transform: translate3d(8px, 0, 0);
    }

    100% {
        transform: translate3d(4px, 0, 0);
    }
}
